package alternatore.split;

import alternatore.drivers.driverIn.IPipeIn;
import alternatore.drivers.driverOut.IPipeOut;

/** Realizza il comportamento di Split, usando tre driver dei porti.
 */
class Logica {

	private IPipeIn in;
	private IPipeOut outL;
	private IPipeOut outU;

	Logica(IPipeIn in, IPipeOut outL, IPipeOut outU) {
		this.in = in;
		this.outL = outL;
		this.outU = outU;
	}

	/** minimo comportamento per la Logica
	 */
	void run() {
		while (true) {
			outU.put(in.get());
			outL.put(in.get());
		}
	}
}